Package weka.core.logging

# Class Logger

java.lang.Object
weka.core.logging.Logger

All Implemented Interfaces:
  `RevisionHandler`

Direct Known Subclasses:
  `ConsoleLogger`

public abstract class Logger extends Object implements RevisionHandler
Abstract superclass for all loggers.

Version:
  $Revision: 4716 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Logger.Level`
The logging level.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROPERTIES_FILE`
the properties file.

## Constructor Summary

Constructors
Constructor
Description
`Logger()`
Initializes the logger.

## Method Summary

Modifier and Type
Method
Description
`Logger.Level`
`getMinLevel()`
Returns the minimum level log messages must have in order to appear in the log.
`static Logger`
`getSingleton()`
Returns the singleton instance of the logger.
`static void`
`log(Logger.Level level, String msg)`
Logs the given message under the given level.
`static void`
`log(Logger.Level level, Throwable t)`
Logs the given message under the given level.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface weka.core.RevisionHandler

`getRevision`

## Field Details

### PROPERTIES_FILE

public static final String PROPERTIES_FILE
the properties file.

See Also:
  - Constant Field Values

## Constructor Details

### Logger

public Logger()
Initializes the logger.

## Method Details

### getMinLevel

public Logger.Level getMinLevel()
Returns the minimum level log messages must have in order to appear in the log.

Returns:
  the level

### getSingleton

public static Logger getSingleton()
Returns the singleton instance of the logger.

Returns:
  the logger instance

### log

public static void log(Logger.Level level, String msg)
Logs the given message under the given level.

Parameters:
  `level` - the level of the message
  `msg` - the message to log

### log

public static void log(Logger.Level level, Throwable t)
Logs the given message under the given level.

Parameters:
  `level` - the level of the message
  `t` - the throwable to log